%define name	urlview
%define version	0.9

Name: %{name}
Version: %{version}
Release: %mkrel 10
License: GPL
Group: Networking/Mail
Source: %{name}-%{version}.tar.bz2
URL: ftp://ftp.mutt.org/mutt/contrib/
Requires: slang >= 0.99.38, webclient
Source1: urlview-regex.o-alpha.bz2
Patch: urlview-comma.patch2
Patch1: url_path.patch
Buildroot: %{_tmppath}/%{name}-buildroot
Summary: A URL extractor/viewer for use with Mutt
BuildRequires: slang-devel slang

%description
urlview extracts URLs from a given text file, and presents a menu
of URLs to view using a user specified command.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
#suckattack
%ifarch alpha
mkdir regex
bzcat %{SOURCE1} > regex/regex.o
%endif
%configure --with-slang
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall
install -m755 url_handler.sh $RPM_BUILD_ROOT%{_bindir}/url_handler.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%doc INSTALL README sample.urlview 
%doc urlview.sgml
%{_bindir}/urlview
%{_bindir}/url_handler.sh
%{_mandir}/man1/urlview.1*




%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9-10mdv2008.1
+ Revision: 179673
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9-9mdv2008.0
+ Revision: 37557
- Rebuild with libslang2.


* Wed Aug 09 2006 bcornec
+ 08/09/06 18:24:19 (54987)
Fix Bug 14200 (http://qa.mandriva.com/show_bug.cgi?id=14200)

* Wed Aug 09 2006 bcornec
+ 08/09/06 18:12:28 (54985)
import urlview-0.9-7mdk

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9-7mdk
- Rebuild

